/*******************************************************************************
 * Copyright (c) 2003 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.stp.core.util;

import org.eclipse.stp.core.infrastructure.emf.EditModelException;

public class ModelLifecycleException extends Exception {

   private Exception nestedException;

   public ModelLifecycleException(EditModelException e) {
      super(e.getMessage());
      nestedException = e;
   }

   /**
    * Comment for <code>serialVersionUID</code>
    */
   private static final long serialVersionUID = -2831501827300169929L;

   public Exception getNestedException() {
      return nestedException;
   }

}
